﻿@{
    ViewData["Title"] = "Welcome to LifeArcPlan";
    Layout = "_EmptyLayout";
}
<section class="h-100 bg-light-primary" id="sigin-container">
    <div class="container h-100">
        <div class="d-flex flex-column">
            <div class="p-2 mb-10">
                <div id="brand-bar" class="d-flex">
                    <img src="~/images/brand_logo.png" class="mx-auto img-fluid" />
                </div>
            </div>
            <div class="d-flex flex-sm-row flex-column p-2 mx-auto">
                <div class="sign-in-card m-lg-20 m-md-0 mb-20">
                    <a asp-route="client/login">
                        <img src="~/images/carousel/fall/client/image-1.jpg" class="mx-auto d-block img-fluid" />
                        <div class="overlay">Guest</div>
                    </a>
                </div>
                <div class="sign-in-card m-lg-20 m-md-0 mb-10">
                    <a asp-route="user/login">
                        <img src="~/images/carousel/fall/client/image-2.jpg" class="mx-auto d-block img-fluid" />
                        <div class="overlay">Professional</div>
                    </a>
                </div>
            </div>
        </div>
    </div>
</section>
<style>
    #kt_body {
        background-image: linear-gradient(to top, #accbee 0%, #e7f0fd 100%);
    }

    .sign-in-card {
        position: relative;
        box-shadow: 0 1rem 2rem rgba(0,0,0,1);
    }

        .sign-in-card img {
            transition: transform .4s;
            cursor: pointer;
        }

    @@media (min-width:1025px) {
        #brand-bar img {
            height: 80px;
        }

            .sign-in-card img:hover {
                transform: scale(1.2);
            }
    }


    .overlay {
        position: absolute;
        bottom: 0;
        background: rgb(0, 0, 0);
        background: rgba(0, 0, 0, 0.5);
        color: #f1f1f1;
        width: 100%;
        transition: .5s ease;
        opacity: 1;
        color: white;
        font-size: 28px;
        padding: 20px;
        text-align: center;
    }

    .sign-in-card img:hover .overlay {
        transform: scale(1.2);
    }
</style>